Subject: Ticket Assigned - I want to know where is my orderi made first order 7 th april never receive it they told me the cour...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jun 2020 07:03:58 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I want to know where is my orderi made first order 7 th april never receive it they told me the cour... I want to know where is my orderi made first order 7 th april never receive it they told me the courrier calllee while noo one ever called me they returned and 2 may i received email until now mu money is not refunded https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/988885